package de.hsadmin.mods.dom;

import java.util.ArrayList;
import java.util.List;

import de.hsadmin.core.model.BooleanListValue;
import de.hsadmin.core.model.DefaultSelectableValues;
import de.hsadmin.core.model.KindOfSelectableValue;
import de.hsadmin.core.model.SelectableValue;

public class DomainOptionValues extends DefaultSelectableValues {

	@Override
	public KindOfSelectableValue getkind() {
		return KindOfSelectableValue.DOMAINOPTIONS;
	}
	
	@Override
	public List<SelectableValue> get() {
		ArrayList<SelectableValue> list = new ArrayList<SelectableValue>();
		list.add(new BooleanListValue("backupmxforexternalmx"));
		list.add(new BooleanListValue("greylisting"));
		list.add(new BooleanListValue("htdocsfallback"));
		list.add(new BooleanListValue("includes"));
		list.add(new BooleanListValue("indexes"));
		list.add(new BooleanListValue("multiviews"));
		list.add(new BooleanListValue("php"));
		return list;
	}

}
